Package org.eclipse.lemminx.services.extensions.save

## Class AbstractSaveContext

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.save.AbstractSaveContext

All Implemented Interfaces:
  `ISaveContext`, `IXMLDocumentProvider`

Direct Known Subclasses:
  `XMLTextDocumentService.SaveContext`

    public abstract class AbstractSaveContext
    extends Object
    implements ISaveContext

Abstract class for save context.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.lemminx.services.extensions.save.ISaveContext

`ISaveContext.SaveContextType`

### Constructor Summary

Constructors
`AbstractSaveContext​(Object settings)`
`AbstractSaveContext​(String uri)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getSettings()` Returns the settings which has changed and null otherwise.
`ISaveContext.SaveContextType` `getType()` Returns the save context type.
`String` `getUri()` Returns the document URI which was saved and null if it's a settings which was saved.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.save.ISaveContext

`collectDocumentToValidate`

### Methods inherited from interface org.eclipse.lemminx.services.IXMLDocumentProvider

`getAllDocuments, getDocument`

### Constructor Detail

#### AbstractSaveContext

    public AbstractSaveContext​(Object settings)

#### AbstractSaveContext

    public AbstractSaveContext​(String uri)

### Method Detail

#### getType

    public ISaveContext.SaveContextType getType()

Description copied from interface: `ISaveContext`
Returns the save context type.

Specified by:
  `getType` in interface `ISaveContext`
Returns:
  the save context type.

#### getUri

    public String getUri()

Description copied from interface: `ISaveContext`
Returns the document URI which was saved and null if it's a settings which was saved.

Specified by:
  `getUri` in interface `ISaveContext`
Returns:
  the document URI which was saved and null if it's a settings which was saved.

#### getSettings

    public Object getSettings()

Description copied from interface: `ISaveContext`
Returns the settings which has changed and null otherwise.

Specified by:
  `getSettings` in interface `ISaveContext`
Returns:
  the settings which has changed and null otherwise.